Is Holder Of Contract
GET
/v3/{apiKey}/isHolderOfContract
isHolderOfContract - Determines whether a specific wallet holds any NFT from a given contract. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.
Path Parameters
apiKeystringrequireddefaults to docs-demoFor higher throughput, create your own API key
Query Parameters
walletstringrequireddefaults to 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045String - Wallet address to check for contract ownership.
contractAddressstringrequireddefaults to 0xe785E82358879F061BC3dcAC6f0444462D4b5330String - Contract address for the NFT contract (ERC721 and ERC1155 supported).
Responses
200
Returns whether the specified wallet holds any NFT from the given contract.
Was this page helpful?